Name:           libnfc
Version:        1.4.2
Release:        5%{?dist}
Summary:        NFC SDK and Programmers API

Group:          System Environment/Libraries
License:        LGPLv3+
URL:            http://www.libnfc.org/
Source0:        http://libnfc.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         libnfc_usb_enumeration.patch 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pcsc-lite-devel
BuildRequires:  libusb-devel
BuildRequires:  doxygen

%description
libnfc is the first free NFC SDK and Programmers API released under the 
GNU Lesser General Public License. It provides complete transparency and 
royalty-free use for everyone.

%package devel
Summary: Development libraries for libnfc
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The libnfc-devel package contains header files necessary for 
developing programs using libnfc.

%package examples
Summary: Examples using libnfc
Group: Development/Tools
Requires: %{name} = %{version}-%{release}
%description examples
The libnfc-examples package contains examples demonstrating the functionality
of libnfc.

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-static
# remove rpaths
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}
doxygen

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# remove *.la files
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%doc COPYING README AUTHORS ChangeLog

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_includedir}/nfc/
%{_libdir}/pkgconfig/*.pc
%doc doc/html

%files examples
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Mon Jul 30 2012 F. Kooman <fkooman@tuxed.net> - 1.4.2-5
- fix patch

* Mon Jul 30 2012 F. Kooman <fkooman@tuxed.net> - 1.4.2-4
- added usb enumeration patch to fix RHBZ #832983, #843660

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 23 2011 F. Kooman <fkooman@tuxed.net> - 1.4.2-1
- update to 1.4.2

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Feb 04 2011 F. Kooman <fkooman@tuxed.net> - 1.4.1-1
- update to 1.4.1

* Thu Nov 25 2010 F. Kooman <fkooman@tuxed.net> - 1.4.0-1
- update to 1.4.0

* Wed Sep 29 2010 jkeating - 1.3.9-2
- Rebuilt for gcc bug 634757

* Fri Sep 24 2010 François Kooman <fkooman at tuxed net> 1.3.9-1
- update to 1.3.9

* Mon Apr 12 2010 François Kooman <fkooman at tuxed net> 1.3.4-1
- update to 1.3.4

* Mon Mar 9 2010 François Kooman <fkooman at tuxed net> 1.3.3-1
- update to 1.3.3

* Mon Feb 8 2010 François Kooman <fkooman at tuxed net> 1.3.2-1
- update to 1.3.2

* Wed Jan 20 2010 François Kooman <fkooman at tuxed net> 1.3.1-1
- update to 1.3.1

* Sat Jan 16 2010 François Kooman <fkooman at tuxed net> 1.3.0-1
- update to final version 1.3.0
- drop CMake for now as upstream does not include CMake build scripts
  in releases
- create API documentation using Doxygen

* Sat Oct 03 2009 François Kooman <fkooman at tuxed net> 1.3.0-0.1
- next version will be 1.3.0
- use better macro for mandir
- use name macro instead of "libnfc" in Requires and includedir

* Mon Sep 12 2009 François Kooman <fkooman at tuxed net> 1.2.2-0.1
- update to SVN snapshot
- use CMake instead of autotools

* Fri Aug 21 2009 François Kooman <fkooman at tuxed net> 1.2.1-1
- initial Fedora package

